# Get Report Run

> GET /v1/reporting/reports/runs/{reportRunId}

`GET https://app.untetherlabs.com/api/v1/reporting/reports/runs/{reportRunId}`

This endpoint is in beta.

<Warning>This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.</Warning>

Retrieve metadata about a specific report run, including a temporary download link if the report has been completed.

The download link will expire after one hour, at the given `expiresAt` time.

## Request

```bash
curl -X GET 'https://app.untetherlabs.com/api/v1/reporting/reports/runs/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
  -H 'Authorization: Bearer $UNTETHER_API_KEY'
```

## Path parameters

- `reportRunId` (uuid, required)

## Response 200

- `reportId` (string, required, example "payroll-report")
- `createdAt` (string, required, example "2024-11-20T07:43:34+0000")
- `createdBy` (ReportUser, required)
  - `name` (string, required, example "Bruce Wayne")
- `status` (ReportStatus, required, one of `running`, `completed`, `failed`)
- `file` (object) — Only present if the report has been completed.
  - `name` (string, required, example "payroll-2025-01-01.csv")
  - `mediaType` (string, required, example "text/csv")
  - `sizeBytes` (number, required, min 0)
- `download` (ReportDownload)
  - `url` (uri, required)
  - `expiresAt` (string, required, example "2024-11-20T07:43:34+0000")

## Errors

- `validation` (400) — Input validation failed.
- `report-run-not-found` (404) — A specified report run does not exist in the system.
